import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CmsService } from '@spartacus/core';
import { CartService } from '../../services/cart.service';
import * as i0 from "@angular/core";
export declare class CustomCartDetailComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    private cmsService;
    isMobile: boolean;
    isTablet: boolean;
    isDesktop: boolean;
    listview: boolean;
    isExpandAll: boolean;
    cartId: any;
    cartDetails: any;
    showWaitCursor: BehaviorSubject<boolean>;
    additionalPara: any;
    cartPage: boolean;
    constructor(cartService: CartService, cdr: ChangeDetectorRef, cmsService: CmsService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ParaContent(): void;
    toggleGridOrListView(event: any): void;
    getCartLists(): void;
    expandAll(): void;
    contractAll(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCartDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCartDetailComponent, "app-custom-cart-detail", never, {}, {}, never, never>;
}
